@echo off
if exist "%HOMEDRIVE%%HOMEPATH%\SuperCollider\Extensions" goto copy_ext
  echo "Creating Extensions directory for SuperCollider"
  mkdir "%HOMEDRIVE%%HOMEPATH%\SuperCollider\Extensions"

:copy_ext
echo "Copying classes to Extensions directory"
xcopy ".\SuperCollider\classes" "%HOMEDRIVE%%HOMEPATH%\SuperCollider\Extensions" /L

set debug = "false"

if "%1"=="" goto prog_start
  if "%1"=="-d"
  set debug = "true"

:prog_start
java -jar -Ddebug=%debug% synes.jar
